# Manuale di &konsole;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Robert.Knight; &Robert.Knight.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;
Federico
Zenith

    federico.zenith@member.fsf.org

Traduzione della documentazione in italiano
2000
2001
2002
&Jonathan.Singer;
2005
2008
2009
&Kurt.Hindenburg;
&FDLNotice;
2009-04-12
2.3.0

&konsole; è l'emulatore di terminale di &kde;.

KDE
konsole
kdebase
comando
riga
terminale
cli

## Introduzione

### Cos'è un terminale?

&konsole; è un emulatore di terminale X, spesso indicato come un terminale o una shell. Emula un'interfaccia a riga di comando in una finestra di solo testo.

Spiegare l'uso delle CLI di &UNIX; esula dall'ambito di questo documento. Una ricerca di questi termini sul Web produrrà più informazione.

### Scorrimento

&konsole; usa il concetto di scorrimento per permettere agli utenti di vedere il testo precedentemente visualizzato. Come impostazione predefinita, lo scorrimento è attivo ed impostato per salvare 1000 righe di testo oltre a ciò che è attualmente visualizzato sullo schermo. Quando le righe scorrono oltre la cima dello schermo, possono essere riviste spostando in alto la barra di scorrimento, usando la rotellina del mouse o i tasti &Shift;Pag↑ (per andare una pagina indietro), &Shift;Pag↓ (per andare una pagina avanti), &Shift;↑ (Per andare in su di una riga) e &Shift;↓ (per andare in giù di una riga).

Quando il tasto Bloc Scorr è attivo, i normali input e output della shell vengono sospesi, e puoi scorrere attraverso la cronologia con Pag↑, Pag↓, ↑ e ↓.

&konsole; fornisce un certo numero di azioni situate nel menu Scorrimento.

### Profili

I profili permettono all'utente di automatizzare velocemente e facilmente l'esecuzione di comandi comuni. Alcuni esempi sono:

- usare `ssh` per entrare in un'altra macchina;

- avviare una sessione IRC;

- usare `tail` per sorvegliare un file.

Procedura per creare un nuovo profilo:

1. Fai clic sulla voce del menu Impostazioni Gestisci profili...

2. Fai clic sul pulsante Nuovo profilo....

3. Riempi la prima casella con un nome. Questo è il nome che apparirà nel menu, e sarà l'etichetta predefinita invece di Shell quando avvierai una sessione di quel tipo.

4. Inserisci un comando come faresti se avessi aperto una nuova shell, e stessi per dare quel comando. Per il nostro esempio di cui sopra, potresti scrivere ``ssh` amministrazione`.

5. Nelle altre schede puoi configurare l'aspetto della sessione. Puoi avere diversi tipi di carattere, schema di colori e $`TERM` per ogni sessione.

6. Premi il pulsante OK. La nuova sessione è ora disponibile nella finestra Gestisci profili....

Dopo aver creato i profili, questi verranno elencati con il loro nome nel menu File alla voce Shell.

### Pulsanti del mouse

Questa sezione spiega in dettaglio l'uso dei pulsanti del mouse per l'ordine comune con la mano destra. Per l'ordine dei pulsanti del mouse mancino, scambia destra e sinistra nel testo sotto.

Sinistro

  Tutti i clic sul &LMB; saranno inviati a un'applicazione sensibile al mouse in esecuzione in &konsole;. Se un programma reagirà ai clic del mouse, &konsole; lo indicherà mostrando un cursore a forma di freccia. Sennò, verrà mostrata un'asta a I (barra).

  Mantenere premuto il &LMB; e trascinare il mouse per lo schermo con un'applicazione insensibile al mouse in esecuzione evidenzierà una regione di testo. Trascinandolo, il testo evidenziato viene mostrato invertito per controllo visuale. Seleziona Copia dal menu Modifica per copiare il testo evidenziato agli appunti per uso ulteriore all'interno di &konsole; o di un'altra applicazione. Il testo selezionato può anche essere trascinato all'interno di altre applicazioni. Fai clic sul testo selezionato e trascinalo alla posizione desiderata. A seconda delle tue impostazioni di &kde;, potresti dover tenere premuto il tasto &Ctrl; durante il trascinamento.

  Normalmente, i caratteri di ritorno a capo sono inseriti alla fine di ogni riga selezionata. Questo è il meglio per il taglia-e-incolla di codice sorgente, o il testo prodotto da un comando particolare. Per del testo ordinario, i ritorni a capo spesso non sono importanti. Si potrebbe preferire, tuttavia, che il testo fosse un flusso di caratteri che venissero automaticamente riformattati quando vengono incollati in un'altra applicazione. Per selezionare in modalità flusso di testo, mantieni premuto il tasto &Ctrl; mentre selezioni normalmente.

  Premere i tasti &Ctrl; e &Alt; insieme al &LMB; selezionerà una colonna di testo.

  Fai doppio clic con il &LMB; per selezionare una parola; fai clic triplo per selezionare un'intera riga.

  Se il bordo superiore o inferiore dell'area di testo viene toccato durante l'evidenziazione, &konsole; scorrerà in su o in giù, mostrando quindi il testo all'interno del buffer della cronologia. Lo scorrimento si conclude quando il mouse smette di muoversi.

  Dopo che il mouse viene rilasciato, &konsole; prova a mantenere visibile il testo negli appunti mantenendo l'area evidenziata invertita. L'area evidenziata ritorna normale non appena cambiano i contenuti degli appunti, viene cambiato il testo nell'area evidenziata, o viene premuto il &LMB;.

  Per evidenziare del testo in un'applicazione sensibile al mouse (per esempio Midnight Commander) deve essere premuto il tasto &Shift; mentre si fa clic.

Centrale

  Premere il &MMB; incolla il testo attualmente negli appunti. Mantenere premuto il pulsante &Ctrl; mentre premi il &MMB; incolla il testo e lo invia a &konsole;.

  Se hai un mouse con soli due tasti, premere insieme il &LMB; e il &RMB; emula il &MMB; di un mouse a tre pulsanti.

  Se hai una rotellina come tasto centrale, farla girare in un programma insensibile al mouse sposterà la barra di scorrimento di &konsole;.

Destro

  Questi elementi appaiono nel menu quando viene premuto il &RMB;: Copia, Incolla, Pulisci scorrimento e azzera, Apri browser qui, Cambia profilo, Modifica profilo attuale..., Mostra barra dei menu, Codifica dei caratteri e Chiudi scheda.

  In un'applicazione sensibile al mouse, premi il tasto &Shift; insieme al &RMB; per avere il menu a comparsa.

## Guida ai comandi

### La barra dei menu

La barra dei menu è in cima alla finestra di &konsole;. Se la barra è nascosta, Mostra barra dei menu è raggiungibile facendo clic destro nella finestra (fintanto che in quella finestra non c'è un'applicazione che occupa tutto lo schermo, come vi, minicom, eccetera). La scorciatoia predefinita viene elencata a seguito di ogni elemento del menu.

#### Il menu File

&Ctrl;&Shift;N File Nuova scheda

  Apre una nuova scheda con il profilo predefinito.

&Ctrl;&Shift;M File Nuova finestra

  Apre una nuova finestra di &konsole; a parte con il profilo predefinito.

File Shell

  Apre una nuova scheda con il profilo Shell.

  &konsole; è dotato del profilo Shell come predefinito. Ogni nuovo profilo aggiunto dall'utente avrà il suo elemento del menu sotto la voce File Shell.

File Apri browser qui

  Apre il gestore dei file di &kde; nella cartella attuale. Come impostazione predefinita, è &dolphin;.

&Ctrl;&Shift;W File Chiudi scheda

  Chiude la scheda attuale.

&Ctrl;&Shift;Q File Esci

  Esce da &konsole;.

  &konsole; mostrerà una finestra di conferma se ci sono più di una scheda aperta. Questa finestra può essere disabilitata facendo clic sulla casella Non chiedermelo più.

#### Il menu Modifica

&Ctrl;&Shift;C Modifica Copia

  Copia il testo selezionato agli appunti.

&Ctrl;&Shift;V Modifica Incolla

  Incolla il testo dagli appunti alla posizione del cursore.

&Ctrl;&Alt;S Modifica Rinomina scheda...

  Apre una finestra che permette di cambiare il nome della scheda attuale (maggiori informazioni).

Modifica Copia input a...

  Invia l'input della sessione attuale ad altre sessioni simultaneamente (maggiori informazioni).

Modifica Pulisci il visore

  Rimuove tutto il testo dalla scheda.

  Tutto il testo rimosso verrà salvato nello scorrimento.

Modifica Pulisci e azzera

  Pulisce tutto il testo dalla scheda e azzera la sessione.

  Tutto il testo rimosso verrà salvato nello scorrimento.

#### Il menu Visualizza

&Ctrl;&Shift;L Visualizza Dividi vista Dividi vista destra/sinistra

  Divide tutte le schede in viste a destra e a sinistra.

  Tutto l'output su una vista viene duplicato sull'altra.

&Ctrl;&Shift;T Visualizza Dividi vista Dividi vista alto/basso

  Divide tutte le schede in viste il alto e in basso.

  Tutto l'output su una vista viene duplicato sull'altra.

&Ctrl;&Shift;S Visualizza Dividi vista Chiudi attiva

  Chiude la vista attuale.

&Ctrl;&Shift;O Visualizza Dividi vista Chiudi altre

  Chiude le viste diverse dall'attuale.

&Ctrl;&Shift;] Visualizza Dividi vista Espandi vista

  Allarga la vista attuale.

&Ctrl;&Shift;[ Visualizza Dividi vista Restringi vista

  Rimpicciolisce la vista attuale.

&Ctrl;&Shift;H Visualizza Stacca vista

  Apre la scheda attuale in una finestra a parte.

  Uscire dalla finestra precedente di &konsole; non avrà alcun effetto sulla nuova finestra creata.

Visualizza Mostra la barra dei menu

  Commuta la visibilità della barra dei menu.

&Ctrl;&Shift;F11 Visualizza Modalità a tutto schermo

  Commuta la visualizzazione di &konsole; su tutto lo schermo.

&Ctrl;&Shift;I Visualizza Controlla se c'è silenzio

  Commuta la rilevazione di mancanza di attività nella scheda attuale.

  Come impostazione predefinita, dopo 10 secondi di inattività, appare un'icona informativa nella linguetta della sessione. Il tipo di avvisi può essere cambiato con Impostazioni Configura le notifiche Silenzio rilevato in una sessione sorvegliata.

&Ctrl;&Shift;A Visualizza Controlla se c'è attività

  Commuta la rilevazione di attività nella scheda attuale.

  A seguito di qualsiasi attività, appare un'icona informativa nella linguetta della sessione. Il tipo di avvisi può essere cambiato con Impostazioni Configura le notifiche Attività rilevata in una sessione sorvegliata.

Visualizza Imposta codifica

  Imposta la codifica dei caratteri.

&Ctrl;+ Visualizza Aumenta dimensione del testo

  Aumenta la dimensione del carattere del testo.

&Ctrl;- Visualizza Riduci dimensione del testo

  Riduce la dimensione del carattere del testo

#### Il menu Scorrimento

&Ctrl;&Shift;F Scorrimento Cerca nell'output...

  Apre una barra di ricerca in fondo alla finestra di &konsole;.

  Permette ricerche con distinzione di maiuscole, in avanti o all'indietro, e con espressioni regolari.

F3 Scorrimento Trova successivo

  Passa all'elemento di ricerca successivo.

&Shift;F3 Scorrimento Trova precedente

  Passa all'elemento di ricerca precedente.

Scorrimento Salva output...

  Salva lo scorrimento attuale come file di testo.

Scorrimento Opzioni di scorrimento...

  Apre una finestra per configurare il numero di righe da salvare (maggiori informazioni).

Scorrimento Pulisci scorrimento

  Pulisce tutto il testo salvato nella scheda attuale.

&Ctrl;&Shift;X Scorrimento Pulisci scorrimento e azzera

  Pulisce tutto il testo salvato nella scheda attuale e azzera il terminale.

#### Il menu Segnalibri

&Ctrl;B Segnalibri Aggiungi segnalibro

  Aggiunge l'indirizzo attuale.

Segnalibri Aggiungi le schede come cartella...

  Aggiunge tutte le schede a una cartella di segnalibri.

  Verrà chiesto il nome della cartella di segnalibri.

Segnalibri Nuova cartella di segnalibri...

  Aggiunge una nuova cartella all'elenco dei segnalibri.

  Verrà chiesto il nome della cartella di segnalibri.

Segnalibri Modifica segnalibri

  Apre l'editor dei segnalibri.

  Puoi usare l'editor dei segnalibri per aggiungere manualmente URL come ssh://utente@host:porta per aprire comunicazioni a distanza.

#### Il menu Impostazioni

Impostazioni Cambia profilo

  Cambia il profilo per la scheda attuale.

Impostazioni Modifica il profilo attuale...

  Apre l'editor dei profili per la scheda attuale.

Impostazioni Gestisci profili...

  Apre un editor per gestire i profili.

Impostazioni Configura le scorciatoie...

  Apre l'editor delle scorciatoie da tastiera.

Impostazioni Configura le notifiche...

  Apre l'editor delle notifiche.

#### Il menu Aiuto

&help.menu.documentation;

### La finestra di rinomina delle schede

Il nome della scheda attuale può essere cambiato da questa finestra. Essa può venire visualizzata dal menu, con la scorciatoia &Ctrl;&Alt;S o facendo doppio clic sulla linguetta nella barra delle linguette. Queste modifiche possono essere rese permanenti modificando il profilo attuale.

&konsole; sostituirà questi segnaposti:

- `%n`: nome del programma;

- `%d`: cartella attuale (breve);

- `%D`: cartella attuale (lunga);

- `%w`: titolo della finestra impostato dalla shell;

- `%#`: numero della sessione;

- `%u`: nome dell'utente.

Esempi:

- `%d : %n` con `/usr/src` come cartella attuale e usando bash visualizzerà usr/s : bash

- `%D : %n` con `/usr/src` come cartella attuale e usando top visualizzerà /usr/src : top

- `%w %n(%#)` con ~ come cartella attuale e usando vim nella prima scheda indicherà utente@host: ~ vim(1)

### Finestra di copia dell'input

Il testo inserito in una scheda può essere simultaneamente inviato ad altre. Questa finestra permette di selezionare a quali schede mandarlo. La scheda attuale verrà scurita.

### Finestra delle opzioni di scorrimento

L'opzione di scorrimento per le dimensioni della cronologia può venire regolata in questa finestra. C'è anche una casella per salvare queste impostazioni nel profilo attuale.

## Opzioni da riga di comando

Quando &konsole; viene avviato dalla riga di comando, si possono specificare varie opzioni per modificarne il comportamento.

`--help`

  Elenca le varie opzioni.

`--profile` `file`

  Avvia &konsole; usando un insieme di sessioni salvate.

`--list-profiles`

  Elenca tutti i profili disponibili.

`--background-mode`

  Avvia &konsole; sullo sfondo e portalo in primo piano quando viene premuto F12.

`--new-tab`

  Crea una nuova scheda in una finestra esistente invece di creare una nuova finestra.

`--workdir` `cartella`

  Apri con `cartella` come cartella di lavoro iniziale.

`--notransparency`

  Disattiva gli sfondi trasparenti, anche se il sistema li supporta.

`--force-transparency`

  Cerca di abilitare la trasparenza, anche se il sistema non sembra supportarla.

`--hold, --noclose`

  Non chiudere la sessione iniziale automaticamente quando finisce.

`-p` `proprietà=valore`

  Cambia il valore di una proprietà di un profilo.

`-e` `comando`

  Esegui `comando` anziché la shell normale.

  Qualsiasi argomento dopo `comando` sarà passato a `comando`, non a &konsole;.

&konsole; accetta inoltre opzioni generiche &Qt; e &kde;:

`--help-qt`

  Elenca le opzioni specifiche di &Qt;

Le seguenti opzioni di &Qt; non hanno effetto su &konsole;:

`--fn`, `--font` `nomecarattere`

  Definisce il tipo di carattere dell'applicazione.

`--bg`, `--background` `colore`

  Imposta il colore di sfondo predefinito.

`--fg`, `--foreground` `colore`

  Imposta il colore di primo piano predefinito.

`--btn`, `--button` `colore`

  Imposta il colore dei pulsanti predefinito.

`--help-kde`

  Elenca le opzioni specifiche di &kde;.

`--help-all`

  Elenca tutte le opzioni.

`--author`

  Mostra i nomi degli autori.

`-v,--version`

  Mostra il numero di versione.

`--license`

  Mostra informazioni sulla licenza.

## &DBus; e &konsole;

Con &kde; 4, il vecchio &DCOP; è stato sostituito da &DBus;. &konsole; supporta molti metodi che si possono usare con &DBus;.

Ci sono due modi di usare l'interfaccia &DBus;: la &GUI; qdbusviewer e il comando da riga di comando qdbus, entrambi di &Qt;.

Esempi:

- $ `qdbus` visualizzerà tutti i servizi disponibili.

- $ `qdbus` `org.kde.konsole` visualizzerà l'interfaccia &DBus; per &konsole;.

- $ `qdbus` `org.kde.konsole /konsole` visualizzerà i metodi per controllare la finestra principale di &konsole;.

- $ `qdbus` `org.kde.konsole /Sessions/1` visualizzerà i metodi per la sessione 1.

$ `qdbus` `org.kde.konsole /MainWindow_2` visualizzerà i metodi per la finestra 2, supposto che ci siano almeno due finestre aperte.

Per maggiori informazioni, visita l'esercitazione con &DBus;.

## Riconoscimenti e Copyright

&konsole; è attualmente mantenuto da &Robert.Knight; &Robert.Knight.mail;

Responsabili precedenti di &konsole; sono stati &Kurt.Hindenburg; &Kurt.Hindenburg.mail; e &Waldo.Bastian; &Waldo.Bastian.mail;.

Applicazione &konsole;, copyright © 1997-2008 di &Lars.Doelle; &Lars.Doelle.mail;

Questo documento è stato scritto da &Jonathan.Singer; &Jonathan.Singer.mail;

Questo documento è stato aggiornato per &kde; 3.4 da &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Questo documento è stato aggiornato per &kde; 4.1 da &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Inizialmente convertito a SGML DocBook da &Mike.McBride; e &Lauri.Watts;

Traduzione di Federico Zenith federico.zenith@member.fsf.org

&underFDL; &underGPL;

## Collegamenti

Per maggiori informazioni visita questi siti Web:

- Pagina Web di &konsole;

- Lista di distribuzione di &konsole;

- &kde; su FreeBSD

- &kde; su &Solaris;

&documentation.index;